=== debian/changelog ===
ros-indigo-pointgrey-camera-driver (0.12.2-0trusty) trusty; urgency=high

  * Reconnect on error (#79 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/79>)
  * Update to FlyCapture v2.9.3.43 (#65 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/65>)
  * Contributors: Anass Al, Enrique Fernández Perdomo, Konrad Banachowicz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.12.1-0trusty) trusty; urgency=high

  * Depend on curl to pull in ca-certificates.
  * Specify color coding. Without the format7 color coding specified, the driver will crash.
  * Adds the vendor ID for Startech-brand Firewire interface cards.  This is necessary for accessing the camera(s) connected through the card.
  * Removing check for number of subscribers to publish raw image.
  * Support cameras with high framerate.
  * Contributors: Jeff Schmidt, Konrad Banachowicz, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.12.0-0trusty) trusty; urgency=high

  * Remove dependency on driver_base.
    Define SensorLevels constants directly in the relevant places, rather
    than using the external message for this.
  * Improve list_cameras by outputing more information about it
    The previous list_cameras only output 1 serial number which is
    not very informative. The improved one will print serial, model,
    vendor, sensor, resolution, color and firmware version.
  * Add auto white balance and fix not able to write white balance
    Fix the problem of not being able to set white balance using Property.
    When trying to set white balance on my FL3-U3-13E4C-C, both this ros
    driver and flycap software cannot set the white balance naturally.
    After playing around with the flycap software, I found that I have
    to set the highest bit of register 80C (which is white balance) to 1
    to enable this feature. So I modified the original SetWhiteBalance to
    use WriteRegister directly. And add support for auto white balance.
  * Framerate improvements.
  * Support downloading the SDK for ARM.
  * Downgrade flycaptyre SDK to 2.6.3.4, see:
    https://github.com/ros-drivers/pointgrey_camera_driver/issues/28
  * Contributors: Chao Qu, Julius Gelšvartas, Konrad Banachowicz, L0g1x, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.11.0-0trusty) trusty; urgency=high

  * Change approach to downloading flycapture SDK.
    The logic which fetches and extracts the archive from ptgrey.com
    has been moved to a more reasonable and comprehensible python script.
    This should better pave the way for better future ARM support in this
    driver.
  * Use dh_installudev for udev rules.
  * The raw and mono pixel formats (raw8, raw16, mono8, mono16) can be selected from dynamic reconfigure with every video mode (while before it was hard coded that only mono pixel formats could be used with mode1 and mode2).
  * Binning information removed from camera_info published by the nodelet.
  * Add image_proc as dependency.
  * Removed changes to binning_x and binning_y in camera info messages (otherwise image_proc node would performs a further downsampling).
  * Now the wrapper allows to set raw and mono pixel formats with any mode.
  * Added possibility to set GigE packet delay as launch/conf parameter.
  * Changed 'auto_packet_size' to 'true' as default.
  * Added possibility to change GigE packet size for GigE cameras.
  * For GigE cameras, automatically discover best packet size.
  * Fix launch file syntax error (XML comments neither nest nor continue).
  * Contributors: Aaron Denney, Jeff Schmidt, Matteo Munaro, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Nov 2014 05:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.10.0-0trusty) trusty; urgency=high

  * Added frame rate parameter to launchfiles.
  * Fixing lack of dynamic Bayer format detection/incorrect fixed Bayer format detection in the stereo driver, tested on BB2 hardware
  * Should prevent multiple camera nodes from conflicting.
  * Read camera's resulting trigger configuration.
  * Read camera's resulting strobe configuration.
  * Refactor GPIO pin comparison into separate function.
  * Support outputting strobes.
  * Enable altering trigger polarities.
  * Don't overwrite currently unused fields.
  * Modify firewire rule per issue #6 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/6>
  * Make sure camera properties are supported before enabling them
  * Contributors: Aaron Denney, Jake Bruce, Jeff Schmidt, Mike Purvis, Ryan Gariepy

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.2-0trusty) trusty; urgency=high

  * Added dpkg to build_depend
    During builds, dpkg is explicitly called. This tool is not necessarily on all systems, so we should make sure it is installed during the build.
  * Contributors: Scott K Logan

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 13 Jul 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.1-0trusty) trusty; urgency=high

  * Add note to the list_cameras tool about restarting udev.
  * Add debayering nodelet to example launcher for monocular camera. Tested with a USB Firefly.
  * Automatic lint fixes from astyle.
  * Set ROS message image encoding to the bayer format declared by the camera.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 Mar 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.0-0trusty) trusty; urgency=high

  * Remove pgrimaging from all USB devices.
  * Rename standalone executables, fix priority of udev rules for USB cameras, parameterize example launchfiles better.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 26 Feb 2014 05:00:00 -0000


