=== debian/control ===
Source: ros-indigo-pointgrey-camera-driver
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), curl, dpkg, libcurl4-openssl-dev, libraw1394-dev, libusb-1.0-0-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-exposure-msgs, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-wfov-camera-msgs
Homepage: http://ros.org/wiki/pointgrey_camera_driver
Standards-Version: 3.9.2

Package: ros-indigo-pointgrey-camera-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libraw1394-dev, libusb-1.0-0-dev, ros-indigo-camera-info-manager, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-exposure-msgs, ros-indigo-image-proc, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-wfov-camera-msgs
Description: Point Grey camera driver based on libflycapture2.
